## bitshuffle 0.3.5

=== requirements.txt ===
# Order matters
setuptools>=0.7
Cython>=0.19
numpy>=1.6.1
h5py>=2.4.0 --no-binary=h5py

=== debian/changelog ===
bitshuffle (0.3.5-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:18:47 +0100

bitshuffle (0.3.5-3) unstable; urgency=medium

  * don't use -march=native when building the package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Dec 2019 19:03:38 +0100

bitshuffle (0.3.5-2) unstable; urgency=medium

  * the build failure reported on s390x was triggered by an issue
    with openmpi (which also introduced the -march=z15 flag)
    (Closes: #945331)
  * debian/control: bump standard to 4.4.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Nov 2019 19:03:38 +0100

bitshuffle (0.3.5-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Aug 2019 19:29:38 +0200

=== debian/control ===
Source: bitshuffle
Section: devel
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 12)
        , dh-exec
	, dh-python
	, python3-all-dev
	, python3-numpy
	, libhdf5-openmpi-dev
#	, libopenmpi-dev
	, openmpi-bin
	, python3-setuptools
	, python3-h5py
        , quilt
        , cmake
	, pkg-config
	, cython3
Standards-Version: 4.4.1
Homepage: https://github.com/kiyo-masui/bitshuffle
Vcs-Browser: https://salsa.debian.org/alteholz/bitshuffle
Vcs-Git: https://salsa.debian.org/alteholz/bitshuffle.git

Package: bitshuffle
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: filter for improving compression of typed binary data
 Bitshuffle is an algorithm that rearranges typed, binary data for
 improving compression, as well as a python/C package that implements
 this algorithm within the Numpy framework.
 .
 The library can be used along side HDF5 to compress and decompress
 datasets and is integrated through the dynamically loaded filters
 framework. Bitshuffle is HDF5 filter number 32008.
 .
 Algorithmically, Bitshuffle is closely related to HDF5's Shuffle
 filter except it operates at the bit level instead of the byte level.
 Arranging a typed data array in to a matrix with the elements as the
 rows and the bits within the elements as the columns, Bitshuffle
 "transposes" the matrix, such that all the least-significant-bits
 are in a row, etc. This transpose is performed within blocks of
 data roughly 8kB long.
 .
 This does not in itself compress data, only rearranges it for more
 efficient compression. To perform the actual compression you will
 need a compression library. Bitshuffle has been designed to be well
 matched Marc Lehmann's LZF as well as LZ4. Note that because
 Bitshuffle modifies the data at the bit level, sophisticated entropy
 reducing compression libraries such as GZIP and BZIP are unlikely to
 achieve significantly better compression than simpler and faster
 duplicate-string-elimination algorithms such as LZF and LZ4.
 Bitshuffle thus includes routines (and HDF5 filter options) to apply
 LZ4 compression to each block after shuffling.
 .
 The Bitshuffle algorithm relies on neighbouring elements of a dataset
 being highly correlated to improve data compression. Any correlations
 that span at least 24 elements of the dataset may be exploited to
 improve compression.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=bitshuffle

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi/libhdf5.so),)
  HDF5_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi
else
  HDF5_DIR := /usr
endif
export CC = mpicc

%:
	dh $@ --with python3 --buildsystem=pybuild

#override_dh_auto_clean:
#	dh_auto_clean

=== debian/watch ===
version=4

# https://github.com/kiyo-masui/bitshuffle
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bitshuffle-$1.tar.gz%" \
   https://github.com/kiyo-masui/bitshuffle/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## bitshuffle 0.5.1

=== requirements.txt ===
# Order matters
setuptools>=0.7
Cython>=0.19
numpy>=1.6.1
h5py>=2.4.0

=== debian/changelog ===
bitshuffle (0.5.1-1.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:35 +1100

bitshuffle (0.5.1-1.2build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 17:52:17 +0000

bitshuffle (0.5.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/0005-remove-march-and-mcpu-to-avoid-FTBFS.patch
    - Hopefully it will fix a bunch of FTBFS.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 22 Dec 2023 18:03:34 +0100

bitshuffle (0.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Enrico Zini ]
  * added provides and autopkgtests after
    https://salsa.debian.org/science-team/h5f-packaging-guidelines
    Closes: #1032583

  [ Picca Frédéric-Emmanuel ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * d/patches/*: gbp pq rebased on the new upstream version
  * d/control: Added B-D dh-sequence-numpy3 whcih was missing in d/rules.
  * d/control: Added B-D pybuild-plugin-pyproject
  * d/control: Added B-D python3-h5py
    - Bug fix: "FTBFS: ImportError: cannot import name h5d", thanks to Lucas
      Nussbaum (Closes: #1054716).
  * d/control: Added B-D hdf5-tools <!nocheck> in order to run tests.
  * Bug fix: "please add autopkgtests (to add coverage for
    python3-numpy)", thanks to Sandro Tosi (Closes: #1035129).
  * Bug fix: "runtime dependency on cython", thanks to Matthias Klose
    (Closes: #1057984).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1043669).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 22 Dec 2023 17:08:17 +0100

bitshuffle (0.3.5-4) unstable; urgency=medium

  [Picca Frédéric-Emmanuel]
  * Bug fix: "Unvendor liblzf", thanks to Timo Röhling (Closes: #958322).
  * Unvendor liblz4
  * Built hdf5 plugins for serial and openmpi version of hdf5, and install
    them at the expected default location.

  [Thorsten Alteholz]
  * debian/control: bump standard to 3.6.0
  * debian/control: set Rules-Requires-Root: no

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 Feb 2022 22:03:38 +0100

bitshuffle (0.3.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Drew Parsons <dparsons@debian.org>, Gilles Filippini <pini@debian.org> ]
  * Closes: #955456
    - fix-deprecated.patch: fix test_h5filter.py and test_h5plugin.py
      to open files with flag 'w' when required
    - Build-Depends: python3-h5py-mpi to force using the mpi flavour
      of h5py
    - override_dh_auto_test:
      - Run the tests via mpirun so that h5py knows it has to invoke its
        mpi implementation
      - Launch the tests for each python version separately to permit MPI
        initialization at each run

 -- Gilles Filippini <pini@debian.org>  Tue, 07 Apr 2020 20:50:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,46 @@
 Source: bitshuffle
 Section: devel
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 12)
-        , dh-exec
-	, dh-python
-	, python3-all-dev
-	, python3-numpy
-	, libhdf5-openmpi-dev
-#	, libopenmpi-dev
-	, openmpi-bin
-	, python3-setuptools
-	, python3-h5py
-        , quilt
-        , cmake
-	, pkg-config
-	, cython3
-Standards-Version: 4.4.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends:
+ cython3,
+ debhelper-compat (= 13),
+ dh-exec,
+ dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ hdf5-tools <!nocheck>,
+ libhdf5-openmpi-dev,
+ libhdf5-serial-dev,
+ liblz4-dev,
+ liblzf-dev,
+ libzstd-dev,
+ openmpi-bin,
+ pkg-config,
+ pybuild-plugin-pyproject,
+ python3-all-dev,
+ python3-h5py,
+ python3-h5py-mpi,
+ python3-numpy,
+ python3-setuptools,
+ python3-pytest <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/kiyo-masui/bitshuffle
 Vcs-Browser: https://salsa.debian.org/alteholz/bitshuffle
 Vcs-Git: https://salsa.debian.org/alteholz/bitshuffle.git
+Rules-Requires-Root: no
 
 Package: bitshuffle
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Provides:
+ hdf5-filter-plugin-bshuf-openmpi,
+ hdf5-filter-plugin-bshuf-serial,
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: filter for improving compression of typed binary data
  Bitshuffle is an algorithm that rearranges typed, binary data for
  improving compression, as well as a python/C package that implements

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=bitshuffle

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export ENABLE_ZSTD

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi/libhdf5.so),)
  HDF5_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/openmpi
else
  HDF5_DIR := /usr
endif

DESTDIR=$(CURDIR)/debian/tmp
FLAVOURS=serial openmpi
LZF_SRC=src/lzf_h5plugin.c lzf/lzf_filter.c
BITSHUFFLE_SRC=src/bshuf_h5plugin.c src/bshuf_h5filter.c src/bitshuffle.c src/bitshuffle_core.c src/iochain.c

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	CC=mpicc dh_auto_build

	# build the hdf5 plugins for hdf5 flavours
	for flavour in $(FLAVOURS); do\
		builddir=$(CURDIR)/build-$$flavour;\
		mkdir -p $$builddir;\
		$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -std=c99 -ffast-math -pthread -O3 -fPIC \
			-DBSHUF_VERSION_MAJOR=0 -DBSHUF_VERSION_MINOR=5 -DBSHUF_VERSION_POINT=1 \
			-DZSTD_SUPPORT=1 \
			-I$(CURDIR)/lzf $(LZF_SRC) \
			`pkg-config --cflags --libs hdf5-$$flavour` \
			`pkg-config --cflags --libs liblzf` \
			`pkg-config --cflags --libs zstd` \
			-o $$builddir/libh5LZF.so;\
		$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -std=c99 -ffast-math -pthread -O3 -fPIC \
			-DBSHUF_VERSION_MAJOR=0 -DBSHUF_VERSION_MINOR=5 -DBSHUF_VERSION_POINT=1 \
			-DZSTD_SUPPORT=1 \
			-I$(CURDIR)/src $(BITSHUFFLE_SRC) \
			`pkg-config --cflags --libs hdf5-$$flavour` \
			`pkg-config --cflags --libs liblz4` \
			`pkg-config --cflags --libs zstd` \
			-o $$builddir/libh5bshuf.so;\
	done


override_dh_auto_test:
	mpirun --allow-run-as-root -n 1 dh_auto_test

override_dh_auto_install:
	for flavour in $(FLAVOURS); do\
		pdir=$(DESTDIR)/`pkg-config --variable=PluginDir hdf5-$$flavour`;\
		builddir=$(CURDIR)/build-$$flavour;\
		install -d $$pdir;\
		install -t $$pdir $$builddir/*;\
	done

	dh_auto_install

override_dh_install:
	dh_install
	dh_install -p bitshuffle /usr

override_dh_auto_clean:
	rm -rf lzf/lzf
	rm -rf lz4

	dh_auto_clean

=== debian/tests/control ===
Test-Command: python3 -c 'import sys, h5py; sys.exit(not h5py.h5z.filter_avail(32008))'
Depends:
 python3,
 @,
Restrictions: allow-stderr

Test-Command: H5PY_ALWAYS_USE_MPI=1 python3 -c 'import sys, h5py; sys.exit(not h5py.h5z.filter_avail(32008))'
Depends:
 python3,
 @,
Restrictions: allow-stderr

Tests: testsuite
Depends:
 bitshuffle,
 hdf5-tools,
 python3-all,
 python3-pytest,
Restrictions: allow-stderr

## bitshuffle 0.5.2

=== requirements.txt ===
# Order matters
setuptools>=0.7
Cython>=0.19
numpy>=1.24
h5py>=2.4.0

=== debian/changelog ===
bitshuffle (0.5.2-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:41:31 +0000

bitshuffle (0.5.2-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:03:03 +0000

bitshuffle (0.5.2-1build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Jan 2025 17:58:04 +0000

bitshuffle (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * d/control: B-D pkg-config -> pkgconf

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 19 Nov 2024 12:18:11 +0100

bitshuffle (0.5.1-2) unstable; urgency=medium

  * Team Upload
  * d/control:
    - Maintainer is now
      Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
    - Moved Thorsten Alteholz <debian@alteholz.de> to Uploaders
    - Added more uploaders:
       - Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
       - Picca Frédéric-Emmanuel <picca@debian.org>
    - B-D: do not hardcode the mpi version and instead use the default-mpi-[X] packages.
  * d/rules:
    - the zstd pkgconf file is names libzstd and not zstd
    - do not use allow-run-as-root which is not available with mpich.
  * Bug fix: "switch to hdf5/mpich on 32 bit architectures or remove 32
    bit binary packages", thanks to Sebastian Ramacher (Closes: #1081719).
  * Bug fix: "What about moving bitshuffle into debian-science", thanks to
    Picca Frédéric-Emmanuel (Closes: #959964).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 22 Sep 2024 10:33:11 +0200

bitshuffle (0.5.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch gcc14.patch to fix FTBFS against GCC-14 (closes: #1074848)

 -- Gilles Filippini <pini@debian.org>  Fri, 16 Aug 2024 21:57:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: bitshuffle
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders:
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Thorsten Alteholz <debian@alteholz.de>,
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
@@ -11,30 +14,31 @@
  dh-sequence-numpy3,
  dh-sequence-python3,
  hdf5-tools <!nocheck>,
- libhdf5-openmpi-dev,
+ libhdf5-mpi-dev,
  libhdf5-serial-dev,
  liblz4-dev,
  liblzf-dev,
  libzstd-dev,
- openmpi-bin,
- pkg-config,
+ mpi-default-bin,
+ pkgconf,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-h5py,
  python3-h5py-mpi,
  python3-numpy,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-pytest <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/kiyo-masui/bitshuffle
-Vcs-Browser: https://salsa.debian.org/alteholz/bitshuffle
-Vcs-Git: https://salsa.debian.org/alteholz/bitshuffle.git
+Vcs-Browser: https://salsa.debian.org/science-team/bitshuffle
+Vcs-Git: https://salsa.debian.org/science-team/bitshuffle.git
 Rules-Requires-Root: no
 
 Package: bitshuffle
 Section: libs
 Architecture: any
 Provides:
+ hdf5-filter-plugin-bshuf-mpi,
  hdf5-filter-plugin-bshuf-openmpi,
  hdf5-filter-plugin-bshuf-serial,
 Depends:

=== debian/tests/control ===
Test-Command: python3 -c 'import sys, h5py; sys.exit(not h5py.h5z.filter_avail(32008))'
Depends:
 python3,
 @,
Restrictions:
 allow-stderr,

Test-Command: H5PY_ALWAYS_USE_MPI=1 python3 -c 'import sys, h5py; sys.exit(not h5py.h5z.filter_avail(32008))'
Depends:
 python3,
 @,
Restrictions:
 allow-stderr,

Tests:
 testsuite,
Depends:
 bitshuffle,
 hdf5-tools,
 python3-all,
 python3-pytest,
Restrictions:
 allow-stderr,
